# class Tk::Tcllib::Widget::Ruler

### Constants

PACKAGE_NAME
TkCommandNames

### Public Class Methods

package_name() click to toggle source

    # File lib/tkextlib/tcllib/ruler.rb, line 20
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tcllib/ruler.rb, line 24
    def self.package_version
      begin
        TkPackage.require('widget::ruler')
      rescue
        ''
      end
    end

### Public Instance Methods

redraw() click to toggle source

    # File lib/tkextlib/tcllib/ruler.rb, line 58
    def redraw
      tk_send('redraw')
      self
    end

shade(org, dest, frac) click to toggle source

    # File lib/tkextlib/tcllib/ruler.rb, line 63
    def shade(org, dest, frac)
      tk_send('shade', org, dest, frac)
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source

    # File lib/tkextlib/tcllib/ruler.rb, line 38
    def __boolval_optkeys
      ['showvalues', 'outline', 'grid']
    end

__numlistval_optkeys() click to toggle source

    # File lib/tkextlib/tcllib/ruler.rb, line 43
    def __numlistval_optkeys
      ['interval', 'sizes']
    end

create_self(keys) click to toggle source

    # File lib/tkextlib/tcllib/ruler.rb, line 48
    def create_self(keys)
      if keys and keys != None
        tk_call_without_enc(self.class::TkCommandNames[0], @path,
                            *hash_kv(keys, true))
      else
        tk_call_without_enc(self.class::TkCommandNames[0], @path)
      end
    end